// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.12
// source: stabilisense.proto

package stabilisense_proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type GetLastKeysRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ComputerName           string `protobuf:"bytes,1,opt,name=computerName,proto3" json:"computerName,omitempty"`
	ComputerUUID           string `protobuf:"bytes,2,opt,name=computerUUID,proto3" json:"computerUUID,omitempty"`
	OrganisationIdentifier string `protobuf:"bytes,3,opt,name=organisationIdentifier,proto3" json:"organisationIdentifier,omitempty"`
}

func (x *GetLastKeysRequest) Reset() {
	*x = GetLastKeysRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLastKeysRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLastKeysRequest) ProtoMessage() {}

func (x *GetLastKeysRequest) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLastKeysRequest.ProtoReflect.Descriptor instead.
func (*GetLastKeysRequest) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{0}
}

func (x *GetLastKeysRequest) GetComputerName() string {
	if x != nil {
		return x.ComputerName
	}
	return ""
}

func (x *GetLastKeysRequest) GetComputerUUID() string {
	if x != nil {
		return x.ComputerUUID
	}
	return ""
}

func (x *GetLastKeysRequest) GetOrganisationIdentifier() string {
	if x != nil {
		return x.OrganisationIdentifier
	}
	return ""
}

type GetLastKeysResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LastRecordKey           uint32 `protobuf:"varint,1,opt,name=lastRecordKey,proto3" json:"lastRecordKey,omitempty"`
	LastMetricTimeGenerated string `protobuf:"bytes,2,opt,name=lastMetricTimeGenerated,proto3" json:"lastMetricTimeGenerated,omitempty"`
}

func (x *GetLastKeysResponse) Reset() {
	*x = GetLastKeysResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetLastKeysResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetLastKeysResponse) ProtoMessage() {}

func (x *GetLastKeysResponse) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetLastKeysResponse.ProtoReflect.Descriptor instead.
func (*GetLastKeysResponse) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{1}
}

func (x *GetLastKeysResponse) GetLastRecordKey() uint32 {
	if x != nil {
		return x.LastRecordKey
	}
	return 0
}

func (x *GetLastKeysResponse) GetLastMetricTimeGenerated() string {
	if x != nil {
		return x.LastMetricTimeGenerated
	}
	return ""
}

type SendReliabilityRecordsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OrganisationIdentifier string               `protobuf:"bytes,1,opt,name=organisationIdentifier,proto3" json:"organisationIdentifier,omitempty"`
	ComputerName           string               `protobuf:"bytes,2,opt,name=computerName,proto3" json:"computerName,omitempty"`
	ComputerUUID           string               `protobuf:"bytes,3,opt,name=computerUUID,proto3" json:"computerUUID,omitempty"`
	Records                []*ReliabilityRecord `protobuf:"bytes,4,rep,name=records,proto3" json:"records,omitempty"`
}

func (x *SendReliabilityRecordsRequest) Reset() {
	*x = SendReliabilityRecordsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SendReliabilityRecordsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SendReliabilityRecordsRequest) ProtoMessage() {}

func (x *SendReliabilityRecordsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SendReliabilityRecordsRequest.ProtoReflect.Descriptor instead.
func (*SendReliabilityRecordsRequest) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{2}
}

func (x *SendReliabilityRecordsRequest) GetOrganisationIdentifier() string {
	if x != nil {
		return x.OrganisationIdentifier
	}
	return ""
}

func (x *SendReliabilityRecordsRequest) GetComputerName() string {
	if x != nil {
		return x.ComputerName
	}
	return ""
}

func (x *SendReliabilityRecordsRequest) GetComputerUUID() string {
	if x != nil {
		return x.ComputerUUID
	}
	return ""
}

func (x *SendReliabilityRecordsRequest) GetRecords() []*ReliabilityRecord {
	if x != nil {
		return x.Records
	}
	return nil
}

type SendReliabilityStabilityMetricsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OrganisationIdentifier string                        `protobuf:"bytes,1,opt,name=organisationIdentifier,proto3" json:"organisationIdentifier,omitempty"`
	ComputerName           string                        `protobuf:"bytes,2,opt,name=computerName,proto3" json:"computerName,omitempty"`
	ComputerUUID           string                        `protobuf:"bytes,3,opt,name=computerUUID,proto3" json:"computerUUID,omitempty"`
	Metrics                []*ReliabilityStabilityMetric `protobuf:"bytes,4,rep,name=metrics,proto3" json:"metrics,omitempty"`
}

func (x *SendReliabilityStabilityMetricsRequest) Reset() {
	*x = SendReliabilityStabilityMetricsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SendReliabilityStabilityMetricsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SendReliabilityStabilityMetricsRequest) ProtoMessage() {}

func (x *SendReliabilityStabilityMetricsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SendReliabilityStabilityMetricsRequest.ProtoReflect.Descriptor instead.
func (*SendReliabilityStabilityMetricsRequest) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{3}
}

func (x *SendReliabilityStabilityMetricsRequest) GetOrganisationIdentifier() string {
	if x != nil {
		return x.OrganisationIdentifier
	}
	return ""
}

func (x *SendReliabilityStabilityMetricsRequest) GetComputerName() string {
	if x != nil {
		return x.ComputerName
	}
	return ""
}

func (x *SendReliabilityStabilityMetricsRequest) GetComputerUUID() string {
	if x != nil {
		return x.ComputerUUID
	}
	return ""
}

func (x *SendReliabilityStabilityMetricsRequest) GetMetrics() []*ReliabilityStabilityMetric {
	if x != nil {
		return x.Metrics
	}
	return nil
}

type KeyResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LastKey uint32 `protobuf:"varint,1,opt,name=lastKey,proto3" json:"lastKey,omitempty"`
}

func (x *KeyResponse) Reset() {
	*x = KeyResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *KeyResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*KeyResponse) ProtoMessage() {}

func (x *KeyResponse) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use KeyResponse.ProtoReflect.Descriptor instead.
func (*KeyResponse) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{4}
}

func (x *KeyResponse) GetLastKey() uint32 {
	if x != nil {
		return x.LastKey
	}
	return 0
}

type TimeGeneratedResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	LastTimeGenerated string `protobuf:"bytes,1,opt,name=lastTimeGenerated,proto3" json:"lastTimeGenerated,omitempty"`
}

func (x *TimeGeneratedResponse) Reset() {
	*x = TimeGeneratedResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TimeGeneratedResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TimeGeneratedResponse) ProtoMessage() {}

func (x *TimeGeneratedResponse) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TimeGeneratedResponse.ProtoReflect.Descriptor instead.
func (*TimeGeneratedResponse) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{5}
}

func (x *TimeGeneratedResponse) GetLastTimeGenerated() string {
	if x != nil {
		return x.LastTimeGenerated
	}
	return ""
}

type ReliabilityRecord struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ComputerName     string   `protobuf:"bytes,1,opt,name=computerName,proto3" json:"computerName,omitempty"`
	EventIdentifier  uint32   `protobuf:"varint,2,opt,name=eventIdentifier,proto3" json:"eventIdentifier,omitempty"`
	InsertionStrings []string `protobuf:"bytes,3,rep,name=insertionStrings,proto3" json:"insertionStrings,omitempty"`
	Logfile          string   `protobuf:"bytes,4,opt,name=logfile,proto3" json:"logfile,omitempty"`
	Message          string   `protobuf:"bytes,5,opt,name=message,proto3" json:"message,omitempty"`
	ProductName      string   `protobuf:"bytes,6,opt,name=productName,proto3" json:"productName,omitempty"`
	RecordNumber     uint32   `protobuf:"varint,7,opt,name=recordNumber,proto3" json:"recordNumber,omitempty"`
	SourceName       string   `protobuf:"bytes,8,opt,name=sourceName,proto3" json:"sourceName,omitempty"`
	TimeGenerated    string   `protobuf:"bytes,9,opt,name=timeGenerated,proto3" json:"timeGenerated,omitempty"`
	User             string   `protobuf:"bytes,10,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *ReliabilityRecord) Reset() {
	*x = ReliabilityRecord{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReliabilityRecord) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReliabilityRecord) ProtoMessage() {}

func (x *ReliabilityRecord) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReliabilityRecord.ProtoReflect.Descriptor instead.
func (*ReliabilityRecord) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{6}
}

func (x *ReliabilityRecord) GetComputerName() string {
	if x != nil {
		return x.ComputerName
	}
	return ""
}

func (x *ReliabilityRecord) GetEventIdentifier() uint32 {
	if x != nil {
		return x.EventIdentifier
	}
	return 0
}

func (x *ReliabilityRecord) GetInsertionStrings() []string {
	if x != nil {
		return x.InsertionStrings
	}
	return nil
}

func (x *ReliabilityRecord) GetLogfile() string {
	if x != nil {
		return x.Logfile
	}
	return ""
}

func (x *ReliabilityRecord) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

func (x *ReliabilityRecord) GetProductName() string {
	if x != nil {
		return x.ProductName
	}
	return ""
}

func (x *ReliabilityRecord) GetRecordNumber() uint32 {
	if x != nil {
		return x.RecordNumber
	}
	return 0
}

func (x *ReliabilityRecord) GetSourceName() string {
	if x != nil {
		return x.SourceName
	}
	return ""
}

func (x *ReliabilityRecord) GetTimeGenerated() string {
	if x != nil {
		return x.TimeGenerated
	}
	return ""
}

func (x *ReliabilityRecord) GetUser() string {
	if x != nil {
		return x.User
	}
	return ""
}

type ReliabilityStabilityMetric struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SystemStabilityIndex float32 `protobuf:"fixed32,1,opt,name=systemStabilityIndex,proto3" json:"systemStabilityIndex,omitempty"`
	TimeGenerated        string  `protobuf:"bytes,2,opt,name=timeGenerated,proto3" json:"timeGenerated,omitempty"`
}

func (x *ReliabilityStabilityMetric) Reset() {
	*x = ReliabilityStabilityMetric{}
	if protoimpl.UnsafeEnabled {
		mi := &file_stabilisense_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ReliabilityStabilityMetric) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ReliabilityStabilityMetric) ProtoMessage() {}

func (x *ReliabilityStabilityMetric) ProtoReflect() protoreflect.Message {
	mi := &file_stabilisense_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ReliabilityStabilityMetric.ProtoReflect.Descriptor instead.
func (*ReliabilityStabilityMetric) Descriptor() ([]byte, []int) {
	return file_stabilisense_proto_rawDescGZIP(), []int{7}
}

func (x *ReliabilityStabilityMetric) GetSystemStabilityIndex() float32 {
	if x != nil {
		return x.SystemStabilityIndex
	}
	return 0
}

func (x *ReliabilityStabilityMetric) GetTimeGenerated() string {
	if x != nil {
		return x.TimeGenerated
	}
	return ""
}

var File_stabilisense_proto protoreflect.FileDescriptor

var file_stabilisense_proto_rawDesc = []byte{
	0x0a, 0x12, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0c, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e,
	0x73, 0x65, 0x22, 0x94, 0x01, 0x0a, 0x12, 0x47, 0x65, 0x74, 0x4c, 0x61, 0x73, 0x74, 0x4b, 0x65,
	0x79, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f, 0x6d,
	0x70, 0x75, 0x74, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a,
	0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x55, 0x55, 0x49, 0x44, 0x18, 0x02, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x55, 0x55, 0x49,
	0x44, 0x12, 0x36, 0x0a, 0x16, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x16, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49,
	0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x22, 0x75, 0x0a, 0x13, 0x47, 0x65, 0x74,
	0x4c, 0x61, 0x73, 0x74, 0x4b, 0x65, 0x79, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x24, 0x0a, 0x0d, 0x6c, 0x61, 0x73, 0x74, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x4b, 0x65,
	0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0d, 0x6c, 0x61, 0x73, 0x74, 0x52, 0x65, 0x63,
	0x6f, 0x72, 0x64, 0x4b, 0x65, 0x79, 0x12, 0x38, 0x0a, 0x17, 0x6c, 0x61, 0x73, 0x74, 0x4d, 0x65,
	0x74, 0x72, 0x69, 0x63, 0x54, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x17, 0x6c, 0x61, 0x73, 0x74, 0x4d, 0x65, 0x74,
	0x72, 0x69, 0x63, 0x54, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64,
	0x22, 0xda, 0x01, 0x0a, 0x1d, 0x53, 0x65, 0x6e, 0x64, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x36, 0x0a, 0x16, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x16, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f,
	0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x22,
	0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x55, 0x55, 0x49, 0x44, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x55, 0x55,
	0x49, 0x44, 0x12, 0x39, 0x0a, 0x07, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x18, 0x04, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e,
	0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x65,
	0x63, 0x6f, 0x72, 0x64, 0x52, 0x07, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x22, 0xec, 0x01,
	0x0a, 0x26, 0x53, 0x65, 0x6e, 0x64, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x53, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x36, 0x0a, 0x16, 0x6f, 0x72, 0x67, 0x61,
	0x6e, 0x69, 0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69,
	0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x16, 0x6f, 0x72, 0x67, 0x61, 0x6e, 0x69,
	0x73, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72,
	0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72,
	0x4e, 0x61, 0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72,
	0x55, 0x55, 0x49, 0x44, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70,
	0x75, 0x74, 0x65, 0x72, 0x55, 0x55, 0x49, 0x44, 0x12, 0x42, 0x0a, 0x07, 0x6d, 0x65, 0x74, 0x72,
	0x69, 0x63, 0x73, 0x18, 0x04, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x73, 0x74, 0x61, 0x62,
	0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x53, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x4d, 0x65, 0x74,
	0x72, 0x69, 0x63, 0x52, 0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x22, 0x27, 0x0a, 0x0b,
	0x4b, 0x65, 0x79, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6c,
	0x61, 0x73, 0x74, 0x4b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x07, 0x6c, 0x61,
	0x73, 0x74, 0x4b, 0x65, 0x79, 0x22, 0x45, 0x0a, 0x15, 0x54, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e,
	0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2c,
	0x0a, 0x11, 0x6c, 0x61, 0x73, 0x74, 0x54, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61,
	0x74, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x11, 0x6c, 0x61, 0x73, 0x74, 0x54,
	0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x22, 0xe1, 0x02, 0x0a,
	0x11, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x65, 0x63, 0x6f,
	0x72, 0x64, 0x12, 0x22, 0x0a, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x4e, 0x61,
	0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0c, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74,
	0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x28, 0x0a, 0x0f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49,
	0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x0f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x49, 0x64, 0x65, 0x6e, 0x74, 0x69, 0x66, 0x69, 0x65, 0x72,
	0x12, 0x2a, 0x0a, 0x10, 0x69, 0x6e, 0x73, 0x65, 0x72, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x74, 0x72,
	0x69, 0x6e, 0x67, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x09, 0x52, 0x10, 0x69, 0x6e, 0x73, 0x65,
	0x72, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x73, 0x12, 0x18, 0x0a, 0x07,
	0x6c, 0x6f, 0x67, 0x66, 0x69, 0x6c, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6c,
	0x6f, 0x67, 0x66, 0x69, 0x6c, 0x65, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67,
	0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x12, 0x20, 0x0a, 0x0b, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x4e, 0x61, 0x6d, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x70, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x4e, 0x61,
	0x6d, 0x65, 0x12, 0x22, 0x0a, 0x0c, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x4e, 0x75, 0x6d, 0x62,
	0x65, 0x72, 0x18, 0x07, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x0c, 0x72, 0x65, 0x63, 0x6f, 0x72, 0x64,
	0x4e, 0x75, 0x6d, 0x62, 0x65, 0x72, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65,
	0x4e, 0x61, 0x6d, 0x65, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x73, 0x6f, 0x75, 0x72,
	0x63, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x24, 0x0a, 0x0d, 0x74, 0x69, 0x6d, 0x65, 0x47, 0x65,
	0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x74,
	0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x12, 0x12, 0x0a, 0x04,
	0x75, 0x73, 0x65, 0x72, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72,
	0x22, 0x76, 0x0a, 0x1a, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x53,
	0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x12, 0x32,
	0x0a, 0x14, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x53, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74,
	0x79, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x02, 0x52, 0x14, 0x73, 0x79,
	0x73, 0x74, 0x65, 0x6d, 0x53, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x49, 0x6e, 0x64,
	0x65, 0x78, 0x12, 0x24, 0x0a, 0x0d, 0x74, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61,
	0x74, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x74, 0x69, 0x6d, 0x65, 0x47,
	0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x32, 0xce, 0x02, 0x0a, 0x12, 0x52, 0x65, 0x6c,
	0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12,
	0x54, 0x0a, 0x0b, 0x47, 0x65, 0x74, 0x4c, 0x61, 0x73, 0x74, 0x4b, 0x65, 0x79, 0x73, 0x12, 0x20,
	0x2e, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x47, 0x65,
	0x74, 0x4c, 0x61, 0x73, 0x74, 0x4b, 0x65, 0x79, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x21, 0x2e, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e,
	0x47, 0x65, 0x74, 0x4c, 0x61, 0x73, 0x74, 0x4b, 0x65, 0x79, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x62, 0x0a, 0x16, 0x53, 0x65, 0x6e, 0x64, 0x52, 0x65, 0x6c,
	0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x12,
	0x2b, 0x2e, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x53,
	0x65, 0x6e, 0x64, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x52, 0x65,
	0x63, 0x6f, 0x72, 0x64, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x19, 0x2e, 0x73,
	0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x4b, 0x65, 0x79, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x7e, 0x0a, 0x1f, 0x53, 0x65, 0x6e,
	0x64, 0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x53, 0x74, 0x61, 0x62,
	0x69, 0x6c, 0x69, 0x74, 0x79, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x34, 0x2e, 0x73,
	0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73, 0x65, 0x2e, 0x53, 0x65, 0x6e, 0x64,
	0x52, 0x65, 0x6c, 0x69, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x74, 0x79, 0x53, 0x74, 0x61, 0x62, 0x69,
	0x6c, 0x69, 0x74, 0x79, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x23, 0x2e, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65, 0x6e, 0x73,
	0x65, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x47, 0x65, 0x6e, 0x65, 0x72, 0x61, 0x74, 0x65, 0x64, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x42, 0x2e, 0x5a, 0x2c, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x69, 0x6d, 0x6f, 0x6e, 0x2e, 0x73, 0x63,
	0x68, 0x6c, 0x75, 0x6d, 0x70, 0x66, 0x2f, 0x73, 0x74, 0x61, 0x62, 0x69, 0x6c, 0x69, 0x73, 0x65,
	0x6e, 0x73, 0x65, 0x2d, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_stabilisense_proto_rawDescOnce sync.Once
	file_stabilisense_proto_rawDescData = file_stabilisense_proto_rawDesc
)

func file_stabilisense_proto_rawDescGZIP() []byte {
	file_stabilisense_proto_rawDescOnce.Do(func() {
		file_stabilisense_proto_rawDescData = protoimpl.X.CompressGZIP(file_stabilisense_proto_rawDescData)
	})
	return file_stabilisense_proto_rawDescData
}

var file_stabilisense_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_stabilisense_proto_goTypes = []interface{}{
	(*GetLastKeysRequest)(nil),                     // 0: stabilisense.GetLastKeysRequest
	(*GetLastKeysResponse)(nil),                    // 1: stabilisense.GetLastKeysResponse
	(*SendReliabilityRecordsRequest)(nil),          // 2: stabilisense.SendReliabilityRecordsRequest
	(*SendReliabilityStabilityMetricsRequest)(nil), // 3: stabilisense.SendReliabilityStabilityMetricsRequest
	(*KeyResponse)(nil),                            // 4: stabilisense.KeyResponse
	(*TimeGeneratedResponse)(nil),                  // 5: stabilisense.TimeGeneratedResponse
	(*ReliabilityRecord)(nil),                      // 6: stabilisense.ReliabilityRecord
	(*ReliabilityStabilityMetric)(nil),             // 7: stabilisense.ReliabilityStabilityMetric
}
var file_stabilisense_proto_depIdxs = []int32{
	6, // 0: stabilisense.SendReliabilityRecordsRequest.records:type_name -> stabilisense.ReliabilityRecord
	7, // 1: stabilisense.SendReliabilityStabilityMetricsRequest.metrics:type_name -> stabilisense.ReliabilityStabilityMetric
	0, // 2: stabilisense.ReliabilityService.GetLastKeys:input_type -> stabilisense.GetLastKeysRequest
	2, // 3: stabilisense.ReliabilityService.SendReliabilityRecords:input_type -> stabilisense.SendReliabilityRecordsRequest
	3, // 4: stabilisense.ReliabilityService.SendReliabilityStabilityMetrics:input_type -> stabilisense.SendReliabilityStabilityMetricsRequest
	1, // 5: stabilisense.ReliabilityService.GetLastKeys:output_type -> stabilisense.GetLastKeysResponse
	4, // 6: stabilisense.ReliabilityService.SendReliabilityRecords:output_type -> stabilisense.KeyResponse
	5, // 7: stabilisense.ReliabilityService.SendReliabilityStabilityMetrics:output_type -> stabilisense.TimeGeneratedResponse
	5, // [5:8] is the sub-list for method output_type
	2, // [2:5] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_stabilisense_proto_init() }
func file_stabilisense_proto_init() {
	if File_stabilisense_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_stabilisense_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLastKeysRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetLastKeysResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SendReliabilityRecordsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SendReliabilityStabilityMetricsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*KeyResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TimeGeneratedResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReliabilityRecord); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_stabilisense_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ReliabilityStabilityMetric); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_stabilisense_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_stabilisense_proto_goTypes,
		DependencyIndexes: file_stabilisense_proto_depIdxs,
		MessageInfos:      file_stabilisense_proto_msgTypes,
	}.Build()
	File_stabilisense_proto = out.File
	file_stabilisense_proto_rawDesc = nil
	file_stabilisense_proto_goTypes = nil
	file_stabilisense_proto_depIdxs = nil
}
